-- не настраивать
require( "scripts/game/deftime.lua" );
GameObject = {
-- основные параметры
    Params = {
        ID="henhouse";
        image="henhouse3";
        width=2;
        height=2;
        GridData = { 
            1,1,
            1,1
        };
    };
    -- точки подхода персонажа
    ActivePoints = { 
        take =   { 
                        { {"hen3"}, 2,1,0, 0,  0,0,0 };
                        { {"hen3"}, 2,-1,0, 0,  0,0,0 };
                        { {"hen3"}, 2,3,0, 0,  0,0,0 };
                     }; 
    };
    Objects = {};
    -- перечисление всех задач для обьекта
    Tasks = {};
    -- перечисление всех триггеров для обьекта
    Triggers = {};
    --задачи которые начинают выполнятся после создания обьекта
    InitActiveTasks = {};
    --задачи которые обьект ожидает после создания обьекта
    InitExpectedTasks = {};
};
function GameObject:Get()
    return self;
end
function GetParams()
    aObj = GameObject:Get();   
    return aObj.Params;
end

